Ticket #39744

受信漢字コード設定が EUC の時にウィンドウタイトル設定シーケンスで文字化けする

Open Date: 2019-11-11 12:06 Last Update: 2019-12-09 09:54

Reporter:
Owner:
Type:
Status:
Open [Owner assigned]
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

問題

受信漢字コード設定が EUC の時、ウィンドウタイトル設定シーケンスに EUC の漢字を含めると文字化けする事がある。

通常は EUC -> SJIS の変換が行われるが、例えば Locale が Japanese に設定されている時に変換が行われない。

対処案

原因は変換を行う条件として Locale が japanese で有るかを確認している為、 すべて小文字では無い時に変換が行われない。 なので

  • Locale のチェックで大文字/小文字を区別せずに比較するようにする

事が考えられる。

また、受信漢字コードが EUC の時は Locale 設定を使っていないので、

  • Locale のチェックを行わず、日本語モードで有るかをチェックする
  • EUC 設定の時は常に日本語モードで有るはずなので、チェック自体を行わないようにする

も考えられる。

関連

Ticket: #39743

Ticket History (3/4 Histories)

2019-11-11 12:06 Updated by: doda
  • New Ticket "受信漢字コード設定が EUC の時にウィンドウタイトル設定シーケンスで文字化けする" created
2019-11-26 20:50 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Fixed
  • Milestone Update from (None) to Tera Term 4.105 (closed)
Comment

r8398 で修正。

Locale のチェックが必要かについては要検討。

2019-12-08 09:01 Updated by: None
2019-12-09 09:54 Updated by: doda
Comment

4.105 では修正済み。

5.0 では内部エンコーディングが変更になる為、別途対応が必要。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login